org.springframework.batch.core.configuration.xml

## Class JobParserJobFactoryBean

- java.lang.Object
- - org.springframework.batch.core.configuration.xml.JobParserJobFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<FlowJob>, org.springframework.beans.factory.SmartFactoryBean<FlowJob>

      public class JobParserJobFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.SmartFactoryBean<FlowJob>

  This `FactoryBean` is used by the batch namespace parser to create `FlowJob` objects. It stores all of the properties that are configurable on the <job/>.
  Since:
    2.0.1
  Author:
    Dan Garrette, Dave Syer

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobParserJobFactoryBean(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobRepository` | `getJobRepository()`
    `FlowJob` | `getObject()`
    `java.lang.Class<FlowJob>` | `getObjectType()`
    `boolean` | `isEagerInit()`
    `boolean` | `isPrototype()`
    `boolean` | `isSingleton()`
    `void` | `setFlow(Flow flow)`
    `void` | `setJobExecutionListeners(JobExecutionListener[] jobExecutionListeners)`
    `void` | `setJobParametersIncrementer(JobParametersIncrementer jobParametersIncrementer)`
    `void` | `setJobParametersValidator(JobParametersValidator jobParametersValidator)`
    `void` | `setJobRepository(JobRepository jobRepository)`
    `void` | `setRestartable(java.lang.Boolean restartable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobParserJobFactoryBean

          public JobParserJobFactoryBean(java.lang.String name)

  - ### Method Detail

    - #### getObject

          public final FlowJob getObject()
                                  throws java.lang.Exception

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<FlowJob>`
      Throws:
        `java.lang.Exception`

    - #### setRestartable

          public void setRestartable(java.lang.Boolean restartable)

    - #### setJobRepository

          public void setJobRepository(JobRepository jobRepository)

    - #### setJobParametersValidator

          public void setJobParametersValidator(JobParametersValidator jobParametersValidator)

    - #### getJobRepository

          public JobRepository getJobRepository()

    - #### setJobExecutionListeners

          public void setJobExecutionListeners(JobExecutionListener[] jobExecutionListeners)

    - #### setJobParametersIncrementer

          public void setJobParametersIncrementer(JobParametersIncrementer jobParametersIncrementer)

    - #### setFlow

          public void setFlow(Flow flow)

    - #### getObjectType

          public java.lang.Class<FlowJob> getObjectType()

      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<FlowJob>`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<FlowJob>`

    - #### isEagerInit

          public boolean isEagerInit()

      Specified by:
        `isEagerInit` in interface `org.springframework.beans.factory.SmartFactoryBean<FlowJob>`

    - #### isPrototype

          public boolean isPrototype()

      Specified by:
        `isPrototype` in interface `org.springframework.beans.factory.SmartFactoryBean<FlowJob>`